package ru.amse.fedorov.plainsvg.gui.actions.file;

import java.awt.event.ActionEvent;
import java.awt.event.ComponentEvent;
import java.awt.event.ComponentListener;

import javax.swing.Action;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;

public class SaveAsDocumentAction extends AbstractSaveAction implements
		ComponentListener {

	private static final long serialVersionUID = 1L;

	public SaveAsDocumentAction(GraphicsComponent component) {
		super(component);
		putValue(Action.NAME, "Save as...");
		component.addComponentListener(this);
	}

	public void actionPerformed(ActionEvent e) {
		saveToFile(null);
	}

	public void componentHidden(ComponentEvent e) {
		setEnabled(false);
	}

	public void componentMoved(ComponentEvent e) {
		// Nothing!
	}

	public void componentResized(ComponentEvent e) {
		// Nothing!
	}

	public void componentShown(ComponentEvent e) {
		setEnabled(true);
	}

}
