package ru.amse.fedorov.plainsvg.model.listeners;

import java.util.EventListener;

/**
 * /**
 * The listener interface for all "interesting" components. The class that is
 * interested in processing a model event implements this interface.
 * 
 * @author Alexey Fedorov
 */
public interface ModelChangedListener extends EventListener{
		
	/**
	 * Describes action to do if model has been changed.
	 */
	public void modelChanged();
	
}
