package ru.amse.fedorov.plainsvg.presentation.markers.shape;

import java.awt.geom.Point2D;

import ru.amse.fedorov.plainsvg.presentation.elements.RectangularShapePresentation;

public class RMarker<E extends RectangularShapePresentation<?>> extends
		RectangularMarker<E> {

	public RMarker(E pres) {
		super(pres);
	}

	@Override
	protected Point2D getUntransformedPoint() {
		return new Point2D.Double(getElement().getX2(), getElement()
				.getCenter().getY());
	}

	@Override
	public void movedUtransformed(Point2D p) {
		double x1 = getElement().getX1();
		double y1 = getElement().getY1();
		double x2 = p.getX();
		double y2 = getElement().getY2();
		getPresentation().setDiagonal(new Point2D.Double(x1, y1),
				new Point2D.Double(x2, y2));
	}

}