package ru.amse.fedorov.plainsvg.gui.actions;

import javax.swing.AbstractAction;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;

public abstract class ComponentAction extends AbstractAction {
	
	private final GraphicsComponent component;
	
	public ComponentAction(GraphicsComponent comp) {
		component = comp;
	}

	/**
	 * @return the component
	 */
	public GraphicsComponent getComponent() {
		return component;
	}

}
