package ru.amse.fedorov.plainsvg.gui.actions.edit;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import ru.amse.fedorov.plainsvg.gui.GraphicsComponent;
import ru.amse.fedorov.plainsvg.gui.actions.ComponentAction;
import ru.amse.fedorov.plainsvg.presentation.elements.ElementPresentation;

public class DeleteAction extends ComponentAction {

	private static final long serialVersionUID = 1L;

	public DeleteAction(GraphicsComponent comp) {
		super(comp);
		putValue(Action.NAME, "Delete");
	}

	public void actionPerformed(ActionEvent e) {
		for (ElementPresentation<?> elem : getComponent().getSelectedList()) {
			getComponent().getElementList().remove(elem);
			elem.getModelElement().removeElementChangedListener(
					getComponent().getSuperListener());
		}
		getComponent().getSelectedList().clear();
	}

}